Bug 124820 - Development kernels are messing up sound after a laptop suspend
Summary: Development kernels are messing up sound after a laptop suspend
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-30 19:30 UTC by Michal Jaegermann
Modified: 2015-01-04 22:06 UTC (History)
1 user (show)

Fixed In Version: 2.6.12-1.1447_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 01:29:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-05-30 19:30:48 UTC
Description of problem:

Acer Travelmate 230 is doing a more or less correct suspend
provided acpi_sleep=s3_bios was used as a kernel parameter
AND ehci_hcd module unloaded before a sleep attempt.

The above works, up to extent, with this problem that attempts
to play sounds after a resume repeat in an infinite loop,
which can be broken with ^C, roughly the first second of a sound
to be played.  This happens at least with 2.6.6-1.391,
2.6.6-1.394 and 2.6.6-1.397 kernels.

Unloading sound modules before sleeping and reloading them
after does not change the picture.  An output of 'lscpi -vv'
before and after sleeping is the same.

The catch is that the sleep procedure described above works
also with 2.6.5-1.358 and then sound is not adversly affected.
One does not need to bother even with unloading sound modules.

How reproducible:
Always

Additional info:
This laptop "goes to work" and I will see it back approximate
in a month.

Comment 1 Dave Jones 2005-08-04 22:41:15 UTC
this bug is pretty old now, can you try again with current kernels ?


Comment 2 Michal Jaegermann 2005-09-12 01:29:17 UTC
With 2.6.12-1.1447_FC4 kernel I do have a sound after a return from suspend
(but no video if acpi_sleep=s3_bios was skipped :-).


Note You need to log in before you can comment on or make changes to this bug.